unit ConvFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Panel1: TPanel;
    Button1: TButton;
    SaveBtn: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure SaveBtnClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
	ReadTextFile: TextFile;
	readsuccess: boolean;
	s: string;
	cnt: integer;
	lp: integer;
begin

	ListBox1.Items.Clear;

	try
		AssignFile(ReadTextFile,'CDDATA.TXT');
		Reset(ReadTextFile);
		readsuccess:=True;
	except
		readsuccess:=False;
	end;

	if ReadSuccess then
	begin
		while (Eof(ReadTextFile)=False) do
		begin
			readln(ReadTextFile,s);
			if s[1]='[' then
			begin
				lp:=-1;
				listbox1.Items.Add(s);
				continue;
			end;
			case lp of
				-1: listbox1.Items.Add('Title='+copy(s,2,length(s)-1) );
				0: listbox1.Items.Add('Artist='+copy(s,2,length(s)-1) );
			else
			begin
				listbox1.Items.Add('Track'+inttostr(lp)+'='+copy(s,2,length(s)-1) );
			end;
			end;
			inc(lp);
		end;
		CloseFile(ReadTextFile);
		SaveBtn.Enabled:=True;
	end
	else
	begin
		MessageDlg('Could not open CDDATA.TXT.', mtWarning,
			[mbOk], 0);
		SaveBtn.Enabled:=False;
	end;
end;

procedure TForm1.SaveBtnClick(Sender: TObject);
var
	WriteTextFile: TextFile;
	opensuccess: boolean;
	s: string;
	cnt: integer;
	lp: integer;
begin
	try
		AssignFile(WriteTextFile,'CDDATA.INI');
		Rewrite(WriteTextFile);
		opensuccess:=True;
	except
		opensuccess:=False;
	end;

	if opensuccess then
	begin
		for lp:=0 to Listbox1.Items.Count-1 do
		begin
			writeln(WriteTextFile,ListBox1.Items.Strings[lp]);
		end;
		CloseFile(WriteTextFile);
	end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
	Close;
end;

end.
